Obtaining stores · Integration API
Obtaining stores
GET
/StoresBefore choosing a menu card, users need to select a store for which they want to see the menu. To get the information of all available stores, please use the following resource.
Request-Header
AuthorizationThe secret ApiKey provided to you by QnipsOriginaler Blueprint-Ausschnitt
API Blueprint
### Obtaining stores [GET]
+ Request
+ Headers
Authorization: The secret ApiKey provided to you by Qnips
+ Response 200
+ Body
[
{
"Id": 1,
"Name": "API Demo LIVE Store 1",
"PictureUrl": "https://qnips.blob.core.windows.net/livepics/store.jpg",
"LargePictureUrl": "https://qnips.blob.core.windows.net/livepics/store_large.jpg",
"Menus": [
{
"Id": 1,
"Name": "API Demo LIVE Menu 1-1"
},
{
"Id": 2,
"Name": "API Demo LIVE Menu 1-2"
}
]
},
{
"Id": 2,
"Name": "API Demo LIVE Store 2",
"PictureUrl": "https://qnips.blob.core.windows.net/livepics/store2.jpg",
"LargePictureUrl": "https://qnips.blob.core.windows.net/livepics/store2.jpg",
"Menus": [
{
"Id": 3,
"Name": "API Demo LIVE Menu 1-2"
}
]
}
]